<?php

use app\controllers\MainController;
use kernel\App;
use kernel\modules\admin_themes\controllers\AdminThemeController;
use Phroute\Phroute\RouteCollector;


App::$collector->group(["prefix" => "admin"], function (RouteCollector $router){
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "user"], callback: function (RouteCollector $router) {
            App::$collector->get('/', [\kernel\modules\user\controllers\UserController::class, 'actionIndex']);
            App::$collector->get('/page/{page_number}', [\kernel\modules\user\controllers\UserController::class, 'actionIndex']);
            App::$collector->get('/create', [\kernel\modules\user\controllers\UserController::class, 'actionCreate']);
            App::$collector->post("/", [\kernel\modules\user\controllers\UserController::class, 'actionAdd']);
            App::$collector->get('/{id}', [\kernel\modules\user\controllers\UserController::class, 'actionView']);
            App::$collector->any('/update/{id}', [\kernel\modules\user\controllers\UserController::class, 'actionUpdate']);
            App::$collector->any("/edit/{id}", [\kernel\modules\user\controllers\UserController::class, 'actionEdit']);
            App::$collector->get('/delete/{id}', [\kernel\modules\user\controllers\UserController::class, 'actionDelete']);
        });
    });
});